Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## jp.ac.nii.icpc2010.playfield
Enum FieldDirection

    java.lang.Object
      java.lang.Enum<FieldDirection>
          jp.ac.nii.icpc2010.playfield.FieldDirection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FieldDirection>

    public enum FieldDirection

extends java.lang.Enum<FieldDirection>

This enum represents the different directions that are possible on the playfield.

Enum Constant Summary
`Down`
`Left`
`Right`
`Up`

Method Summary
`static FieldDirection` | `reverse(FieldDirection fd)` Return the reverse of a given direction.
`static FieldDirection` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FieldDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Up

    public static final FieldDirection Up

### Down

    public static final FieldDirection Down

### Left

    public static final FieldDirection Left

### Right

    public static final FieldDirection Right

Method Detail

### values

    public static FieldDirection[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FieldDirection c : FieldDirection.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FieldDirection valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### reverse

    public static FieldDirection reverse(FieldDirection fd)

  Return the reverse of a given direction.

  Parameters:
    `fd` - the direction to reverse
  Returns:
    the reversed direction

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD